%define major 6
%define libname %mklibname isofs %{major}
%define develname %mklibname isofs -d

Summary:	Library for creating ISO disc images
Name:		libisofs
Version:	1.4.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://libburnia-project.org/wiki/Libisofs
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libburn-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libisofs is a library that handles creating ISO disc image files. It
is intended to work together with libburn to write these images to
discs.

%package -n %{libname}
Summary:	Library for creating ISO disc images
Group:		System/Libraries

%description -n %{libname}
Libisofs is a library that handles creating ISO disc image files. It
is intended to work together with libburn to write these images to
discs.

%package -n %{develname}
Summary:	Header files for development with %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package includes the header files for the %{name} package.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# build documentation
doxygen doc/doxygen.conf

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f



%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libisofs.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README AUTHORS COPYRIGHT
%{_libdir}/libisofs.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}


%changelog
* Thu Oct 06 2016 adrianomorselli <adrianomorselli> 1.4.2-1uplos2016
- rebuild

* Fri Mar 11 2016 bb <bb> 1.4.2-1pclos2016
- update

* Wed Jul 02 2014 bb <bb> 1.3.8-1pclos2014
- update

* Sat Dec 14 2013 ghosbunny <hmhaase at pclinuxosusers dot de> 1.3.4-1pclos2013
- 1.3.4

